Subject: Re: [PATCH] gnu: cross-gcc-toolchain: Add native-search-paths.

From: Rutherther <[email-masked]>
Date: Fri, 06 Sep 2024 21:12:15 +0000

Hello everyone,

I am currently trying to do some stuff around the arm-none-eabi toolchain,
namely also adding the 12.3 gcc toolchain. I am facing a problem with
this. Currently the `search-paths` of xgcc also include "include",
"include/c++", "lib" and "lib64" instead of just the ones under
"$target/include", ... Because of this, and mainly because they
come first, newlib doesn't build as it picks up wrong included file.
This is easily fixed by not adding the top-level include and lib,
but only the ones under the target.

Do you happen to know why the search-paths contain these for the
cross builds? And even if that is sensible, is this really the way
to go even for native-search-paths, shouldn't the top ones
be removed, or at least moved after the ones under target?

Regards,
Rutherther